﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinDock;
using mshtml;

namespace WindowsFormsApplication5
{
    public partial class Form1 : Form
    {
        private DockableControlPane pane1;
        private DockableControlPane pane2;

        private DockAreaPane aPane1;
        private DockAreaPane aPane2;

        private WebBrowser browser;

        private Panel p = new Panel();

        public Form1()
        {
            InitializeComponent();

            browser = new WebBrowser();

            pane1 = new DockableControlPane(browser);
            aPane1 = new DockAreaPane(DockedLocation.DockedLeft);
            aPane1.Panes.Add(pane1);
            ultraDockManager1.ControlPanes.Add(pane1);

            var textBox = new TextBox {Dock = DockStyle.Top};
            ultraButton1.Dock = DockStyle.Top;
            ultraButton3.Dock = DockStyle.Top;
            ultraButton4.Dock = DockStyle.Top;

            p.Controls.Add(textBox);
            p.Controls.Add(ultraButton1);
            p.Controls.Add(ultraButton3);
            p.Controls.Add(ultraButton4);

            pane2 = new DockableControlPane(p);
            aPane2 = new DockAreaPane(DockedLocation.DockedRight);
            aPane2.Panes.Add(pane2);
            ultraDockManager1.ControlPanes.Add(pane2);

            ultraDockManager1.DockAreas.AddRange(new[]
                                                     {
                                                         aPane1, aPane2
                                                     });

        }

        protected override void OnShown(EventArgs e)
        {
            base.OnShown(e);
            var file = Path.GetDirectoryName(Assembly.GetExecutingAssembly().Location) + "/baseMap.htm";
            browser.Navigate(file);
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            HtmlElement head = browser.Document.GetElementsByTagName("head")[0];
            HtmlElement scriptEl = browser.Document.CreateElement("script");
            IHTMLScriptElement element = scriptEl.DomElement as IHTMLScriptElement;
            element.text = "function change() { CreateMap(); addPin(); }";
            head.AppendChild(scriptEl);
            browser.Document.InvokeScript("change");
        }

        private void ultraButton3_Click(object sender, EventArgs e)
        {
            var pane = ultraDockManager1.PaneFromControl(browser);
            if (pane != null) pane.Close();

            var tab = ultraTabbedMdiManager1.ActiveTab;
            if (tab != null) tab.Close();
        }

        private void ultraButton4_Click(object sender, EventArgs e)
        {
            var pane = ultraDockManager1.PaneFromControl(browser);
            if (pane != null) pane.Show();

            var tab = ultraTabbedMdiManager1.ActiveTab;
            if (tab != null) tab.Show();
        }
    }
}
